# Smart contract Interaction

### Smart contract Address

```
0xb657fa9443a2db2990D45e93EbD8152C2B2BeB12
```

{% embed url="<https://basescan.org/address/0xb657fa9443a2db2990d45e93ebd8152c2b2beb12>" %}
Deployed address on basescan
{% endembed %}

### Method of interaction

```javascript
        const iface = new ethers.Interface([
            "function executeTrades(address token, uint256 iterations, uint256 minAmountOut, address[] buyPath, address[] sellPath)"
        ]);
        const data = iface.encodeFunctionData("executeTrades", [tokenAddress, iterations, minAmountOut, buyPath, sellPath]);

        // Send the transaction
        const tx = await wallet.sendTransaction({
            to: contractAddress,
            data: data,
            value: ethers.parseEther('0.00001') // Example amount of ETH to send
        });
```

{% embed url="<https://github.com/solspec-dev/trade-volume-generator-on-base-chain.git>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.volume.li/smart-contract-interaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
